<!DOCTYPE html>
<html dir="ltr" lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0" />
    <title>Stencil Component Starter</title>
    <link rel="stylesheet" href="index.css" />
    <script type="module" src="/build/scaledscomponents.esm.js"></script>
    <script nomodule src="/build/scaledscomponents.js"></script>
    <style>
      body {
        background-color: white;
        font-family: sans-serif;
      }
      .side-nav ul {
        list-style: none;
      }
      .side-nav li {
        margin: 1rem 0;
      }
      .side-nav a {
        text-decoration: none;
        color: rgb(250, 250, 250);
      }
    </style>
  </head>
  <body>
    <h1 style="margin-bottom: 3rem; margin-top: 1rem; font-size: 100px">T-Logo Component</h1>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [color="white"]</label>
    </div>
    <scale-t-logo variant="white"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="magenta" size="56"]</label>
    </div>
    <scale-t-logo variant="magenta" size="56"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="white" size="106"]</label>
    </div>
    <scale-t-logo variant="white" size="106"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="white" size="106" language="DE"]</label>
    </div>
    <scale-t-logo variant="white" size="106" language="de"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="magenta" size="106" language="DE"]</label>
    </div>
    <scale-t-logo variant="magenta" size="106" language="de"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="magenta" size="106" language="Claim Off"]</label>
    </div>
    <scale-t-logo variant="magenta" size="106" language="claimOff"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="white" size="106" language="HU"]</label>
    </div>
    <scale-t-logo variant="white" size="106" language="hu"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="white" size="106" language="DE" href="https://www.telekom.de/start"]</label>
    </div>
    <scale-t-logo variant="white" size="106" language="de" href="https://www.telekom.de/start"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="white" size="50" language="CZ"]</label>
    </div>
    <scale-t-logo variant="white" size="50" language="cz"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="white" size="50" language="HR"]</label>
    </div>
    <scale-t-logo variant="white" size="50" language="hr"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="white" size="50" language="SK"]</label>
    </div>
    <scale-t-logo variant="white" size="50" language="sk"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="white" size="50" language="ME"]</label>
    </div>
    <scale-t-logo variant="white" size="50" language="me"></scale-t-logo>
    <div style="margin-bottom: 1rem; margin-top: 1rem">
      <label style="color: black; font-size: xx-large">input: [variant="white" size="50" language="RO"]</label>
    </div>
    <scale-t-logo variant="white" size="50" language="ro"></scale-t-logo>
    <h1 style="margin-bottom: 3rem; margin-top: 10rem; font-size: 100px">Rating Star Component</h1>
    <div>
      <label style="color: #e20074; font-size: xx-large">input: [size="large"]</label>
    </div>
    <rating-stars size="large"></rating-stars>
    <div>
      <label style="color: #e20074; font-size: xx-large">input: [size="small"]</label>
    </div>
    <rating-stars size="small"></rating-stars>
    <div>
      <label style="color: #e20074; font-size: xx-large">input: [selected-stars="3" size="large"] </label>
    </div>
    <rating-stars selected-stars="3" size="large"></rating-stars>
    <div>
      <label style="color: #e20074; font-size: xx-large">input: [selected-stars="3" space-between-stars="20" size="large"]</label>
    </div>
    <rating-stars selected-stars="3" space-between-stars="20" size="large"></rating-stars>
    <div>
      <label style="color: #e20074; font-size: xx-large">input: [style="--svg-hover-color-active: #00ff00" selected-stars="3" size="large"]</label>
    </div>
    <rating-stars style="--svg-hover-color-active: #00ff00" selected-stars="3" size="large"></rating-stars>
    <div>
      <label style="color: #e20074; font-size: xx-large">input: [style="--svg-color-active: #00ff00" selected-stars="3" size="large"]</label>
    </div>
    <rating-stars style="--svg-color-active: #00ff00" selected-stars="3" size="large"></rating-stars>
    <div>
      <label style="color: #e20074; font-size: xx-large">input: [interactive="false" selected-stars="3" activity-state="disable" size="large"]</label>
    </div>
    <rating-stars interactive="false" selected-stars="3" activity-state="disable" size="large"></rating-stars>
    <div>
      <label style="color: #e20074; font-size: xx-large">input: [interactive="false" selected-stars="4" size="large"]</label>
    </div>
    <rating-stars interactive="false" selected-stars="4" size="large"></rating-stars>
    <div>
      <label style="color: #e20074; font-size: xx-large">input: [stars="10" individual-size="50"]</label>
    </div>
    <rating-stars stars="10" individual-size="50"></rating-stars>
    <!-- <div>
      <label style="color: #e20074; font-size: xx-large">input: [class="shopping" individual-size="50px"]</label>
    </div>
    <rating-stars class="shopping" individual-size="30"></rating-stars>
    <script>
      const shopping = document.querySelector('.shopping');
      shopping.getIconCommon = () => '<scale-icon-action-shopping-cart size="50px"></scale-icon-action-shopping-cart>';
      shopping.getIconHovered = () => '<scale-icon-action-shopping-cart size="50px" color="red"></scale-icon-action-shopping-cart>';
    </script> -->
  </body>
</html>
